Api
Authorization
bearer AuthorizationBearer <token>
Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/config/export"{ "schema": "orishare.config/v1", "exported_at": "string", "source": { "environment_id": "string", "runtime_class": "string" }, "currencies": [], "attribute_definitions": [], "event_definitions": [], "segments": [], "counter_definitions": [], "tier_programs": [], "rewards": [], "campaigns": [], "rules": [], "challenges": [], "webhook_endpoints": [], "context": null}Authorization
bearer AuthorizationBearer <token>
Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/config/apply" \ -H "Content-Type: application/json" \ -d '{ "mode": "preview", "publish": true, "document": { "schema": "orishare.config/v1", "currencies": [ { "code": "points", "name": "Points", "precision": 0, "expiration_policy": { "type": "never" }, "negative_balance": "forbid" } ] } }'{ "mode": "preview", "applied": true, "diff": { "property1": { "create": [ "string" ], "update": [ "string" ], "unchanged": [ "string" ] }, "property2": { "create": [ "string" ], "update": [ "string" ], "unchanged": [ "string" ] } }, "changes": 0, "published_rules": [ "string" ], "notes": [ "string" ]}